# ezQuake Manual: Teamplay Communications Variables

## tp_forceTriggers

### Description

Controls whether f_took, f_death etc are forced to execute even if the game isn't a team game.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | On.
0 | Off.

## tp_loadlocs

### Description

Controls whether to load locs for teamplay reporting. Note: The locs should be in your "/id1/locs/", "/ezquake/locs" or "/qw/locs" folder.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | On.
0 | Off.

## tp_msgtriggers

### Description

Switches on/off message triggers

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Message triggers are on
0 | Message triggers are off

For ruleset 'Smackdown' message triggers always are off.

## tp_pointpriorities

### Description

You can choose the way how the client decides what object you want to point with $point macro.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Object with highest priority will be chosen.
0 | Original, default behavior. The closest object will be chosen.

Priorities of object are given in tp_point command. You have to type all objects manually in tp_point command. Example: tp_point quad ra mh health. You will always point Quad damage because it has the highest priority. Example: tp_point all. You never know what object will be pointed because all objects get the same priority.

## tp_soundtrigger

### Description

SoundTrigger like proxys. A SoundTrigger must be terminated by either a CR, LF or filter. The .wav extension is not required at the end. Trigger is a character before the sound file. Example: filter #a say_team I'm at %l ~location.wav" say_team ~location.wav$\me: I'm at %l #a" say_team ~location$\me: I'm at %l #a" say_team I'm at %l ~location #a"

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: ~

Variable is float.

## tp_triggers

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Enable tp triggers.
0 | Disable tp triggers.

## tp_weapon_order

### Description

This allows you to define the order from best to worst weapon. The default value is "78564321", which means that the Rocket Launcher is the best weapon (impulse 7) then Lightning Gun (impulse 8), Super Nailgun (impulse 5), Grenade Launcher (impulse 6), Nailgun (impulse 4), Super Shotgun (impulse 3), Shotgun (impulse 2), Axe (impulse 1).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 78654321

Variable is float.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs